#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Images satellites.ico
#AutoIt3Wrapper_outfile=Images satellites.exe
#AutoIt3Wrapper_Compression=4
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#cs ----------------------------------------------------------------------------
 AutoIt Version : 3.3.0.0
 Auteur:         F. Accard
 Fonction du Script :
	Faire une image compose d'une mosaque d'images captures sur Google map  partir
	de l'URL d'un point central rcupr sur Google Map.
		Exemple : URL pour Paris (Arc de Triomphe) : http://khm1.google.fr/kh/v=101&x=1061945&y=721327&z=21&s=Ga
	Voir Aide dans cration d'un nouveau point pour savoir comment obtenir l'URL.
#ce ----------------------------------------------------------------------------

hotkeyset("+{esc}","Quitter")
hotkeyset("^+g","capt_html")

#include <file.au3>
#include <GDIPlus.au3>
#include <IE.au3>
#include <Array.au3>

opt("Mustdeclarevars",1)

Global Const $WS_CAPTION = 0x00C00000
Global Const $WS_POPUP = 0x80000000
Global Const $WS_EX_TOOLWINDOW = 0x00000080
Global Const $GUI_CHECKED = 1
Global Const $GUI_DISABLE = 128
Global Const $GUI_ENABLE = 64
Global Const $ES_CENTER = 0x01
Global Const $WS_BORDER = 0x00800000
Global Const $ES_RIGHT = 0x0002
Global Const $ES_NUMBER=0x2000
Global Const $GUI_FOCUS = 256
Global Const $GUI_HIDE = 32
Global Const $GUI_SHOW = 16
Global Const $GUI_UNCHECKED = 4
Global Const $WS_MINIMIZEBOX = 0x00020000
Global Const $WS_SYSMENU = 0x00080000

Global $inifile=@ScriptDir & "\Inifile.ini"
Dim $aRecords
Global $Liste_existants
Global $Nom_point_central
Global $Form_Capture, $Form_Creation, $Form_Suppr
Global $Dest_repertoire="";=@ScriptDir
Global $label_nb_images ="", $Label_dessous_max = 0, $Label_dessus_max = 0,$Label_droite_max = 0 ,$Label_gauche_max = 0
Global $Input_dessus = 0, $Input_droite= 0,$Input_gauche = 0, $Input_dessous = 0
Global $Nb_lgn_dessus=0, $Nb_col_droite=0, $Nb_col_gauche=0, $Nb_lgn_dessous=0
Global $Nb_lgn_dessus_max=0, $Nb_col_droite_max=0, $Nb_col_gauche_max=0, $Nb_lgn_dessous_max=0
Global $Coord_V_Point=0, $Coord_X_Point=0, $Coord_Y_Point=0, $Coord_Z_Point=0
Global $Urldeb_Point=""
Global $filedestname
Global $oIE, $Btn_Creation_Ok, $MonImage, $Btn_Creation_Extract
Global $Input_Creation_Url, $Input_creation_V, $Input_creation_X, $Input_creation_Y, $Input_creation_Z

Local $connect = _GetNetworkConnect()
If Not $connect Then
	MsgBox(48, "ATTENTION", "Vous n'tes pas connect  Internet." & chr(13) & chr(13) & _
	"Si vous voulez charger de nouvelles images, vous devez tre connect...")
EndIf

$aRecords=IniReadSectionNames($inifile)
if @error Then
	Dim $aRecords[2]
	$aRecords[0]=0
	$aRecords[1]=""
endif

#Region ### START Koda GUI section ### Form=
	Global $Form_Choix = GUICreate("Capture des images satellites                                    " & chr(169) & " F. Accard", 358, 154, -1, -1, BitOR($WS_CAPTION,$WS_POPUP), $WS_EX_TOOLWINDOW)
	GUICtrlCreateGroup("   Liste des points exixtants :   ", 6, 6, 180, 140)
		$Liste_existants = GUICtrlCreateList($aRecords[1], 14, 26, 162, 120)
		if $aRecords[0]>1 then
			for $i=2 to $aRecords[0]
				GUICtrlSetData($Liste_existants,$aRecords[$i])
			next
		endif
	GUICtrlCreateGroup("", -99, -99, 1, 1)
	GUICtrlCreateGroup("   Vous pouvez :   ", 196, 6, 155, 107)
		Global $Radio_Existant = GUICtrlCreateRadio("Utiliser un point existant", 206, 28, 133, 17)
		Global $Radio_Nouveau = GUICtrlCreateRadio("Crer un nouveau point", 206, 54, 133, 17)
		Global $Radio_Supprimer = GUICtrlCreateRadio("Supprimer un point", 206, 80, 133, 17)
		if $aRecords[0]>0 then
			GUICtrlSetState($Radio_Existant, $GUI_CHECKED)
		else
			GUICtrlSetState($Radio_Existant, $GUI_DISABLE)
			GUICtrlSetState($Radio_Supprimer, $GUI_DISABLE)
			GUICtrlSetState($Radio_Nouveau, $GUI_CHECKED)
		endif
	GUICtrlCreateGroup("", -99, -99, 1, 1)
	Global $Btn_Ok_choix = GUICtrlCreateButton("Ok", 210, 120, 60, 24)
	Global $Btn_Quitter_choix = GUICtrlCreateButton("Quitter", 280, 120, 60, 24)
	GUISetState(@SW_SHOW,$Form_Choix)
#EndRegion ### END Koda GUI section ###

While 1
	Global $msg_choix=GUIGetMsg()
	Select
		case $msg_choix=$Btn_Quitter_choix
			exit
		case $msg_choix=$Btn_Ok_choix
			if GUICtrlRead($Radio_Existant)=$GUI_CHECKED then
				if GUICtrlRead($Liste_existants)="" Then
					msgbox(0,"ERREUR", "Vous devez choisir un point !!!")
				else
					$Nom_point_central=GUICtrlRead($Liste_existants)
					GUISetState(@SW_HIDE,$Form_Choix)
					capture()
					guidelete($Form_Capture)
					GUISetState(@SW_SHOW,$Form_Choix)
				endif
			Elseif GUICtrlRead($Radio_Nouveau)=$GUI_CHECKED then
				GUISetState(@SW_HIDE,$Form_Choix)
				Local $result_new=_creation_nouveau_compte()
				guidelete($Form_Creation)
				;if $result_new=1 then exitloop
				GUISetState(@SW_SHOW,$Form_Choix)
				GUICtrlSetData($Liste_existants,"")
					$aRecords=IniReadSectionNames($inifile)
					if @error Then
						GUICtrlSetState($Radio_Existant, $GUI_DISABLE)
						GUICtrlSetState($Radio_Supprimer, $GUI_DISABLE)
						GUICtrlSetState($Radio_Nouveau, $GUI_CHECKED)
					Else
						for $i=1 to $aRecords[0]
							GUICtrlSetData($Liste_existants,$aRecords[$i])
						next
						GUICtrlSetState($Radio_Existant, $GUI_ENABLE)
						GUICtrlSetState($Radio_Supprimer, $GUI_ENABLE)
						GUICtrlSetState($Radio_Existant, $GUI_CHECKED)
					endif
			else
				if GUICtrlRead($Liste_existants)="" Then
					msgbox(0,"ERREUR", "Vous devez choisir un point !!!")
				else
					GUISetState(@SW_HIDE,$Form_Choix)
					Local $result_suppr=_suppression_compte(guictrlread($Liste_existants))
					guidelete($Form_Suppr)
					GUISetState(@SW_SHOW,$Form_Choix)
					GUICtrlSetData($Liste_existants,"")
					$aRecords=IniReadSectionNames($inifile)
					if @error Then
						GUICtrlSetState($Radio_Existant, $GUI_DISABLE)
						GUICtrlSetState($Radio_Supprimer, $GUI_DISABLE)
						GUICtrlSetState($Radio_Nouveau, $GUI_CHECKED)
					Else
						for $i=1 to $aRecords[0]
							GUICtrlSetData($Liste_existants,$aRecords[$i])
						next
						GUICtrlSetState($Radio_Existant, $GUI_ENABLE)
						GUICtrlSetState($Radio_Supprimer, $GUI_ENABLE)
						GUICtrlSetState($Radio_Existant, $GUI_CHECKED)
					endif
				endif
			endif
	EndSelect
WEnd

exit



; #FUNCTION# ====================================================================================================================
func capture()
	$Urldeb_Point=iniread($inifile,$Nom_point_central,"Urldeb",0)
	$Coord_V_Point=iniread($inifile,$Nom_point_central,"Coord_V",0)
	$Coord_X_Point=iniread($inifile,$Nom_point_central,"Coord_X",0)
	$Coord_Y_Point=iniread($inifile,$Nom_point_central,"Coord_Y",0)
	$Coord_Z_Point=iniread($inifile,$Nom_point_central,"Coord_Z",0)
	$Nb_lgn_dessus=iniread($inifile,$Nom_point_central,"Nb_lgn_dessus",0)
	$Nb_col_droite=iniread($inifile,$Nom_point_central,"Nb_col_droite",0)
	$Nb_col_gauche=iniread($inifile,$Nom_point_central,"Nb_col_gauche",0)
	$Nb_lgn_dessous=iniread($inifile,$Nom_point_central,"Nb_lgn_dessous",0)
	$Nb_lgn_dessus_max=iniread($inifile,$Nom_point_central,"Nb_lgn_dessus_max",0)
	$Nb_col_droite_max=iniread($inifile,$Nom_point_central,"Nb_col_droite_max",0)
	$Nb_col_gauche_max=iniread($inifile,$Nom_point_central,"Nb_col_gauche_max",0)
	$Nb_lgn_dessous_max=iniread($inifile,$Nom_point_central,"Nb_lgn_dessous_max",0)

	if Number($Nb_lgn_dessus_max)<Number($Nb_lgn_dessus) then $Nb_lgn_dessus_max=$Nb_lgn_dessus
	if Number($Nb_lgn_dessous_max)<Number($Nb_lgn_dessous) then $Nb_lgn_dessous_max=$Nb_lgn_dessous
	if Number($Nb_col_gauche_max)<Number($Nb_col_gauche) then $Nb_col_gauche_max=$Nb_col_gauche
	if Number($Nb_col_droite_max)<Number($Nb_col_droite) then $Nb_col_droite_max=$Nb_col_droite

	$Dest_repertoire=@ScriptDir & "\" & $Nom_point_central

	;Opt("GUIOnEventMode", 1)
	#Region ### START Koda GUI section ### Form=
	Global $Form_Capture = GUICreate("Capture d'images satellites et compilation ", 480, 384, -1, -1,BitOR($WS_CAPTION,$WS_POPUP,$WS_MINIMIZEBOX,$WS_SYSMENU))
		GUICtrlCreateGroup("   Point Central   ",10,10,460,112)
			GUICtrlCreateLabel($Nom_point_central, 60, 40, 100, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel("URL", 218, 20, 40, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			GUICtrlCreateLabel($Urldeb_Point, 261, 20, 150, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel("V", 218, 40, 40, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			GUICtrlCreateLabel($Coord_V_Point, 261, 40, 150, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel("X", 218, 60, 40, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			GUICtrlCreateLabel($Coord_X_Point, 261, 60, 150, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel("Y", 218, 80, 40, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			GUICtrlCreateLabel($Coord_Y_Point, 261, 80, 150, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel("Z", 218, 100, 40, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			GUICtrlCreateLabel($Coord_Z_Point, 261, 100, 150, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
		GUICtrlCreateGroup("", -99, -99, 1, 1)

		GUICtrlCreateGroup("",10,122,460,140)
			GUICtrlCreateLabel("Nbre de colonnes  gauche", 14, 185, 136, 17)
			GUICtrlCreateLabel("Nbre de ligne au dessus", 185, 132, 118, 17)
			GUICtrlCreateLabel("Nbre de ligne au dessous", 182, 243, 124, 17)
			GUICtrlCreateLabel("Nbre de colonnes  droite", 342, 185, 126, 17)
			$label_nb_images=GUICtrlCreateLabel("",	205,180,78,34,$ES_CENTER)
				GUICtrlSetColor(-1,0x0000ff)
			$Label_droite_max = GUICtrlCreateLabel($Nb_col_droite_max, 285, 204, 52, 17,$ES_RIGHT)
				GUICtrlSetColor(-1,0xff0000)
			$Label_dessus_max= GUICtrlCreateLabel($Nb_lgn_dessus_max, 276, 149, 36, 17)
				GUICtrlSetColor(-1,0xff0000)
			$Label_dessous_max = GUICtrlCreateLabel($Nb_lgn_dessous_max, 276, 226, 36, 17)
				GUICtrlSetColor(-1,0xff0000)
			$Label_gauche_max = GUICtrlCreateLabel($Nb_col_gauche_max, 151, 204, 52, 17)
				GUICtrlSetColor(-1,0xff0000)
			$Input_dessus = GUICtrlCreateInput($Nb_lgn_dessus, 218, 150, 53, 21,$ES_CENTER)
				;GUICtrlSetOnEvent(-1, "eval_nombre")
			$Input_droite = GUICtrlCreateInput($Nb_col_droite, 285, 183, 53, 21,$ES_CENTER)
				;GUICtrlSetOnEvent(-1, "eval_nombre")
			$Input_gauche = GUICtrlCreateInput($Nb_col_gauche, 150, 183, 53, 21,$ES_CENTER)
				;GUICtrlSetOnEvent(-1, "eval_nombre")
			$Input_dessous = GUICtrlCreateInput($Nb_lgn_dessous, 218, 218, 53, 21,$ES_CENTER)
				;GUICtrlSetOnEvent(-1, "eval_nombre")
		GUICtrlCreateGroup("", -99, -99, 1, 1)

		GUICtrlCreateGroup("",10,276,460,64)
			GUICtrlCreateLabel("Rpertoire de destination :", 18, 288, 147, 17)
			GUICtrlCreatelabel(" " & $Dest_repertoire, 18, 308, 440, 17,$WS_BORDER)
			GUICtrlSetBkColor(-1,0xFDF5E6)
		GUICtrlCreateGroup("", -99, -99, 1, 1)

		Local $Btn_Ok_capt = GUICtrlCreateButton("Ok", 268, 350, 60, 24)
		Local $Btn_Quit_capt = GUICtrlCreateButton("Quitter", 362, 350, 60, 24)
		GUICtrlCreateLabel( chr(169) & " F. Accard", 10,354)
		eval_nombre()
	GUISetState(@SW_SHOW)
	GUICtrlSetState ($Btn_Ok_capt,$GUI_FOCUS)
	#EndRegion ### END Koda GUI section ###

	While 2
		Local $msg_capture=GUIGetMsg()
		Select
			;case ($msg_capture = $Input_dessus) or ($msg_capture = $Input_dessous) or ($msg_capture = $Input_droite) or ($msg_capture = $Input_gauche)
				;eval_nombre()
			case $msg_capture=$Btn_Ok_capt
				Btn_OkClick()
				;return 1
			Case $msg_capture=$Input_dessus
				GUICtrlSetBkColor($Input_dessus,0xffffff)
				if StringRegExp(GUICtrlRead($Input_dessus),'[^0-9\-]') then
					msgbox(0,"ERREUR",'Le champ "Nbre de ligne au dessus" ne peut contenir que les caractres' & @LF & @LF & @TAB & '- 0 1 2 3 4 5 6 7 8 9')
					GUICtrlSetBkColor($Input_dessus,0xff8888)
					GUICtrlSetState($Input_dessus,$GUI_FOCUS)
				else
					eval_nombre()
				endif
					Case $msg_capture=$Input_dessous
				GUICtrlSetBkColor($Input_dessus,0xffffff)
				if StringRegExp(GUICtrlRead($Input_dessous),'[^0-9\-]') then
					msgbox(0,"ERREUR",'Le champ "Nbre de ligne au dessous"" ne peut contenir que les caractres' & @LF & @LF & @TAB & '- 0 1 2 3 4 5 6 7 8 9')
					GUICtrlSetBkColor($Input_dessous,0xff8888)
					GUICtrlSetState($Input_dessous,$GUI_FOCUS)
				else
					eval_nombre()
				endif
			Case $msg_capture=$Input_droite
				;GUICtrlSetBkColor($Input_droite,0xff8888)
				GUICtrlSetBkColor($Input_droite,0xffffff)
				if StringRegExp(GUICtrlRead($Input_droite),'[^0-9\-]') then
					msgbox(0,"ERREUR",'Le champ "Nbre de colonnes  droite" ne peut contenir que les caractres' & @LF & @LF & @TAB & '- 0 1 2 3 4 5 6 7 8 9')
					GUICtrlSetBkColor($Input_droite,0xff8888)
					GUICtrlSetState($Input_droite,$GUI_FOCUS)
				else
					eval_nombre()
				endif
			Case $msg_capture=$Input_gauche
				GUICtrlSetBkColor($Input_gauche,0xffffff)
				if StringRegExp(GUICtrlRead($Input_gauche),'[^0-9\-]') then
					msgbox(0,"ERREUR",'Le champ "Nbre de colonnes  gauche" ne peut contenir que les caractres' & @LF & @LF & @TAB & '- 0 1 2 3 4 5 6 7 8 9')
					GUICtrlSetBkColor($Input_gauche,0xff8888)
					GUICtrlSetState($Input_gauche,$GUI_FOCUS)
				else
					eval_nombre()
				endif
			case $msg_capture=$Btn_Quit_capt
				return
		EndSelect
	WEnd
EndFunc

; #FUNCTION# ====================================================================================================================
Func Quitter()
	exit
EndFunc

; #FUNCTION# ====================================================================================================================
func _creation_nouveau_compte()
	;local  $valchoisie=""

	$oIE = _IECreateEmbedded ()
	$Form_Creation=GUICreate("Cration d'un nouveau point", 1076, 600, -1, -1,$WS_POPUP+$WS_CAPTION);, $WS_OVERLAPPEDWINDOW); + $WS_VISIBLE); + $WS_CLIPSIBLINGS); + $WS_CLIPCHILDREN )
		Local $GUIActiveX = GUICtrlCreateObj($oIE, 0, -40, 800, 600+40)

		$MonImage=GUICtrlCreatePic (@ScriptDir & "\ini.gif",810,10,256,256)

		GUICtrlCreateGroup("Point moyen", 810, 276, 256, 210); 8,90
			GUICtrlCreateLabel(" Nom ", 820, 300, 70, 17, $WS_BORDER+ $ES_CENTER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			Local $Input_Creation_Nom = GUICtrlCreateInput("", 892, 300, 166, 17, $ES_CENTER)
			GUICtrlCreateLabel(" Dbut URL", 820, 340, 70, 17, $WS_BORDER )
				GUICtrlSetBkColor(-1,0xEEE5DE)
			$Input_Creation_Url = GUICtrlCreateLabel("", 892, 340, 166, 17, $ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel(" Coord. V", 820, 370, 70, 17, $WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			$Input_creation_V = GUICtrlCreateLabel("", 892, 370, 166, 17, $ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel(" Coord. X", 820, 400, 70, 17, $WS_BORDER )
				GUICtrlSetBkColor(-1,0xEEE5DE)
			$Input_Creation_X = GUICtrlCreateLabel("", 892, 400, 166, 17,$ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel(" Coord. Y", 820, 430, 70, 17 , $WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			$Input_Creation_Y = GUICtrlCreateLabel("", 892, 430, 166, 17, $ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
			GUICtrlCreateLabel(" Coord. Z", 820, 460, 70, 17 , $WS_BORDER)
				GUICtrlSetBkColor(-1,0xEEE5DE)
			$Input_Creation_Z = GUICtrlCreateLabel("", 892, 460, 166, 17, $ES_CENTER+$WS_BORDER)
				GUICtrlSetBkColor(-1,0xFDF5E6)
		GUICtrlCreateGroup("", -99, -99, 1, 1)
		$Btn_Creation_Extract = GUICtrlCreateButton("Extraire", 910, 500, 60, 24)
		$Btn_Creation_Ok = GUICtrlCreateButton("OK", 910, 548, 60, 24)
			guictrlsetstate(-1,$GUI_HIDE)
		Local $Btn_Creation_Quit = GUICtrlCreateButton("Quitter", 990, 524, 60, 24)
		Local $Btn_Aide = GUICtrlCreateButton("Aide", 830, 524, 60, 24)
			GUICtrlCreateLabel(chr(169) & " F. Accard", 1000, 580, 70, 17 )
			GUICtrlSetColor(-1,0xFF0000)
	GUISetState()

	_IENavigate ($oIE, "http://maps.google.fr/maps?hl=fr")
	_help()

	While 3
		local $msg_creation=GUIGetMsg()
		Select
			case $msg_creation=$Btn_Aide
				_help()
			case $msg_creation=$Btn_Creation_Extract
				capt_html()
			Case $msg_creation = $Btn_Creation_Quit
				$oIE = 0
				return 0
			case $msg_creation=$Input_Creation_Nom
				GUICtrlSetBkColor($Input_Creation_Nom,0xffffff)
				if StringRegExp(GUICtrlRead($Input_Creation_Nom),'[./\\:*?"<>|]') then
					msgbox(0,"ERREUR",'Le nom ne peut pas contenir les caractres    . / \ \ : * ? " < > | ')
					GUICtrlSetBkColor($Input_Creation_Nom,0xff8888)
					GUICtrlSetState($Input_Creation_Nom,$GUI_FOCUS)
				endif
			Case $msg_creation = $Btn_Creation_Ok
				local $val_erreur=0
				local $message=""
				$Nom_point_central = GUICtrlRead($Input_Creation_Nom)
				if StringRegExp(GUICtrlRead($Input_Creation_Nom),'[./\\:*?"<>|]') then
					$message &='Le nom ne peut pas contenir les caractres    . / \ \ : * ? " < > | ' & chr(13)
					GUICtrlSetBkColor($Input_Creation_Nom,0xff8888)
					$val_erreur=1
				endif
				if $Nom_point_central="" Then
					$message &="Le nom du point central n'est pas renseign !!!" & chr(13)
					GUICtrlSetBkColor($Input_Creation_Nom,0xff8888)
					$val_erreur=1
				endif
				if $val_erreur=1 then
					msgbox(0,"ERREUR",$message)
					continuecase
				endif
				$message="Vous allez crer un nouveau point avec les donnes suivantes : "  & chr(13)& chr(13) & chr(13) & _
						"Nom du point :  " & GUICtrlRead($Input_Creation_Nom) & chr(13) & chr(13) & _
						"Dbut de l'URL : " & GUICtrlRead($Input_Creation_Url) & chr(13) & _
						"Coordonne V : " & GUICtrlRead($Input_creation_V) & chr(13) & _
						"Coordonne X : " & GUICtrlRead($Input_creation_X) & chr(13) & _
						"Coordonne Y : " & GUICtrlRead($Input_creation_Y) & chr(13) & _
						"Coordonne Z : " & GUICtrlRead($Input_creation_Z)
				Local $therep=msgbox(1,"CONFIRMATION",$message)
				if $therep <> 1 then ContinueCase
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Urldeb",GUICtrlRead($Input_Creation_Url))
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Coord_V",GUICtrlRead($Input_creation_V))
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Coord_X",GUICtrlRead($Input_creation_X))
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Coord_Y",GUICtrlRead($Input_creation_Y))
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Coord_Z",GUICtrlRead($Input_creation_Z))
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_lgn_dessus",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_col_droite",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_col_gauche",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_lgn_dessous",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_lgn_dessus_max",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_col_gauche_max",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_col_droite_max",0)
				iniwrite($inifile,GUICtrlRead($Input_Creation_Nom),"Nb_lgn_dessous_max",0)
				$oIE = 0
				return 1
				;exitloop
			Case Else
		EndSelect
	WEnd
EndFunc

; #FUNCTION# ====================================================================================================================
func _suppression_compte($nom_compte)
	#Region ### START Koda GUI section ### Form=
	$Form_Suppr= GUICreate("Suppression d'un point", 246, 219, -1, -1, BitOR($WS_CAPTION,$WS_POPUP), $WS_EX_TOOLWINDOW)
		GUICtrlCreateGroup("", 8, 6, 230, 177)

			GUICtrlCreateLabel("Pour le point", 83, 5, 80, 17,$ES_CENTER)
			GUICtrlCreateLabel($nom_compte, 18, 24, 210, 17, $ES_CENTER+$WS_BORDER)
			GUICtrlSetBkColor(-1,0xFDF5E6)
			Local $Checkbox_INI = GUICtrlCreateCheckbox("Suppression des donnes du fichier INI", 20, 54, 210, 21)
			Local $Checkbox_REP = GUICtrlCreateCheckbox("Suppression complte du rpertoire", 20, 84, 210, 21)
			Local $Checkbox_TELE = GUICtrlCreateCheckbox("Suppression des images tlcharges", 20, 113, 210, 21)
			Local $Checkbox_COMP = GUICtrlCreateCheckbox("Suppression des images compiles", 20, 143, 210, 21)
			if Not FileExists(@ScriptDir & "\" & $nom_compte) then
				guictrlsetstate($Checkbox_REP,$GUI_HIDE)
				guictrlsetstate($Checkbox_TELE,$GUI_HIDE)
				guictrlsetstate($Checkbox_COMP,$GUI_HIDE)
			Else
				if Not FileExists(@scriptdir & "\" & $nom_compte & "\v*.jpg") then
					guictrlsetstate($Checkbox_TELE,$GUI_HIDE)
				EndIf
				if Not FileExists(@scriptdir & "\" & $nom_compte & "\Compi*.jpg") then
					guictrlsetstate($Checkbox_COMP,$GUI_HIDE)
				endif
			endif

		GUICtrlCreateGroup("", -99, -99, 1, 1)
		Local $Btn_Ok_Suppr = GUICtrlCreateButton("Ok", 93, 190, 60, 20)
		Local $Btn_Quit_Suppr = GUICtrlCreateButton("Quitter", 178, 190, 60, 20)
		GUICtrlCreateLabel( chr(169) & " F. Accard", 10,192)
	GUISetState(@SW_SHOW)
	#EndRegion ### END Koda GUI section ###

	While 5
		Local $nMsg = GUIGetMsg()
		Select
			Case $nMsg=$Checkbox_INI And BitAND(GUICtrlRead($Checkbox_INI), $GUI_CHECKED) = $GUI_CHECKED
				msgbox(0,"ATTENTION","En supprimant les informations du fichier INI," & @lf & @lf & _
					"vous ne pourrez  l'avenir :" & @lf & @lf & _
					"    - Ni supprimer les fichiers images tlcharges," & @lf & _
					"    - Ni supprimer les images complies," & @lf  & _
					"    - Ni supprimer compltement le rpertoire," & @lf & @lf  & _
					"par l'intermdiaire de ce logiciel."  & @lf  & @lf  & _
					"       ---> VOUS DEVREZ LE FAIRE MANUELLEMENT <---")
			Case $nMsg=$Btn_Quit_Suppr
				Return 0
			Case $nMsg=$Checkbox_REP And BitAND(GUICtrlRead($Checkbox_REP), $GUI_CHECKED) = $GUI_CHECKED
				guictrlsetstate($Checkbox_TELE,$GUI_UNCHECKED + $GUI_DISABLE)
				guictrlsetstate($Checkbox_COMP,$GUI_UNCHECKED + $GUI_DISABLE)
			Case $nMsg=$Checkbox_REP And BitAND(GUICtrlRead($Checkbox_REP), $GUI_CHECKED)<> $GUI_CHECKED
				guictrlsetstate($Checkbox_TELE,$GUI_ENABLE)
				guictrlsetstate($Checkbox_COMP,$GUI_ENABLE)
			Case $nMsg=$Btn_Ok_Suppr
				Local $message_suppr="Pour le fichier " & $nom_compte & ", vous voulez :" & @lf & @lf
				if GUICtrlRead($Checkbox_INI)= $GUI_CHECKED Then $message_suppr &="    - Supprimer les informations du fichier INI" & @lf
				if GUICtrlRead($Checkbox_REP)= $GUI_CHECKED Then $message_suppr &="    - Supprimer compltement le rpertoire" & @lf
				if GUICtrlRead($Checkbox_TELE)= $GUI_CHECKED Then $message_suppr &="    - Supprimer les images tlcharges" & @lf
				if GUICtrlRead($Checkbox_COMP)= $GUI_CHECKED Then $message_suppr &="    - Supprimer les images compliles" & @lf
				if $message_suppr = "Pour le fichier " & $nom_compte & "," & @lf & @lf Then
					msgbox(0,"ERREUR","Vous n'avez fait aucun choix")
					ContinueCase
				endif
				Local $rep_suppr=msgbox(33,"CONFIRMATION",$message_suppr)
				if $rep_suppr=1 Then
					if GUICtrlRead($Checkbox_INI)= $GUI_CHECKED Then
						;Supprimer les infos du fichier ini
						IniDelete ($inifile,$nom_compte)
					endif
					if GUICtrlRead($Checkbox_REP)= $GUI_CHECKED then
						;Supprimer compltement le rpertoire
						DirRemove(@scriptdir & "\" & $nom_compte,1)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessus",0)
						iniwrite($inifile,$nom_compte,"Nb_col_droite",0)
						iniwrite($inifile,$nom_compte,"Nb_col_gauche",0)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessous",0)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessus_max",0)
						iniwrite($inifile,$nom_compte,"Nb_col_gauche_max",0)
						iniwrite($inifile,$nom_compte,"Nb_col_droite_max",0)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessous_max",0)
						if @error Then
							msgbox(0,"ERREUR"," Il y a eu une erreur lors de la suppression du rpertoire" & @lf & @lf & @scriptdir & "\" & $nom_compte)
						endif

					endif
					if GUICtrlRead($Checkbox_TELE)= $GUI_CHECKED then
						;Supprimer les images tlcharges
						FileDelete(@scriptdir & "\" & $nom_compte & "\v*.jpg")
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessus",0)
						iniwrite($inifile,$nom_compte,"Nb_col_droite",0)
						iniwrite($inifile,$nom_compte,"Nb_col_gauche",0)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessous",0)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessus_max",0)
						iniwrite($inifile,$nom_compte,"Nb_col_gauche_max",0)
						iniwrite($inifile,$nom_compte,"Nb_col_droite_max",0)
						iniwrite($inifile,$nom_compte,"Nb_lgn_dessous_max",0)
						if @error Then
							msgbox(0,"ERREUR"," Il y a eu une erreur lors de la suppression des images tlcharges.")
						endif
					endif
					if GUICtrlRead($Checkbox_COMP)= $GUI_CHECKED then
						;Supprimer les images compliles
						FileDelete(@scriptdir & "\" & $nom_compte & "\Compiled*.jpg")
						if @error Then
							msgbox(0,"ERREUR"," Il y a eu une erreur lors de la suppression des images compiles.")
						endif
					endif
					Return 1
				endif
			Case Else
		EndSelect
	WEnd
EndFunc



; #FUNCTION# ====================================================================================================================
func eval_nombre()
	GUICtrlSetBkColor($Input_dessus,0xffffff)
	GUICtrlSetBkColor($Input_dessous,0xffffff)
	GUICtrlSetBkColor($Input_droite,0xffffff)
	GUICtrlSetBkColor($Input_gauche,0xffffff)

	$Nb_lgn_dessus=guictrlread($Input_dessus)
	$Nb_col_droite=guictrlread($Input_droite)
	$Nb_col_gauche=guictrlread($Input_gauche)
	$Nb_lgn_dessous=guictrlread($Input_dessous)
	if $Nb_lgn_dessus+$Nb_lgn_dessous <0 Then
		GUICtrlSetBkColor($Input_dessus,0xff8888)
		GUICtrlSetBkColor($Input_dessous,0xff8888)
		msgbox(0,"ERREUR","Il y a erreur dans les nombres des cases colories")
		return
	ElseIf $Nb_col_droite+$Nb_col_gauche <0 Then
		GUICtrlSetBkColor($Input_droite,0xff8888)
		GUICtrlSetBkColor($Input_gauche,0xff8888)
		msgbox(0,"ERREUR","Il y a erreur dans les nombres des cases colories")
		return
	endif
	local $nb_images=($Nb_lgn_dessus+$Nb_lgn_dessous+1)*($Nb_col_gauche+$Nb_col_droite+1)
	GUICtrlSetData($label_nb_images,$nb_images & chr(13) & "images")
EndFunc

; #FUNCTION# ====================================================================================================================
Func Btn_QuitClick()
	exit
EndFunc

; #FUNCTION# ====================================================================================================================
Func Btn_OkClick()
	$Nb_lgn_dessus=guictrlread($Input_dessus)
	$Nb_col_droite=guictrlread($Input_droite)
	$Nb_col_gauche=guictrlread($Input_gauche)
	$Nb_lgn_dessous=guictrlread($Input_dessous)
	$filedestname=$Dest_repertoire & "\Compiled " & @YEAR & @MON & @MDAY & @hour & @min & @sec & ".jpg"
	if not FileExists($Dest_repertoire) then
		DirCreate($Dest_repertoire)
		Msgbox(0,"INFORMATION","Le rpertoire de destination vient d'tre cr !!!")
	endif
	GUISetState(@SW_HIDE,$Form_Capture)
	Traitement()
	if Number($Nb_lgn_dessus_max)<Number($Nb_lgn_dessus) then $Nb_lgn_dessus_max=$Nb_lgn_dessus
	if Number($Nb_lgn_dessous_max)<Number($Nb_lgn_dessous) then $Nb_lgn_dessous_max=$Nb_lgn_dessous
	if Number($Nb_col_gauche_max)<Number($Nb_col_gauche) then $Nb_col_gauche_max=$Nb_col_gauche
	if Number($Nb_col_droite_max)<Number($Nb_col_droite) then $Nb_col_droite_max=$Nb_col_droite
	guictrlsetdata($Label_dessous_max,$Nb_lgn_dessous_max)
	guictrlsetdata($Label_dessus_max,$Nb_lgn_dessus_max)
	guictrlsetdata($Label_droite_max,$Nb_col_droite_max)
	guictrlsetdata($Label_gauche_max,$Nb_col_gauche_max)
	iniwrite($inifile,$Nom_point_central,"Nb_lgn_dessus",$Nb_lgn_dessus)
	iniwrite($inifile,$Nom_point_central,"Nb_col_droite",$Nb_col_droite)
	iniwrite($inifile,$Nom_point_central,"Nb_col_gauche",$Nb_col_gauche)
	iniwrite($inifile,$Nom_point_central,"Nb_lgn_dessous",$Nb_lgn_dessous)
	iniwrite($inifile,$Nom_point_central,"Nb_lgn_dessus_max",$Nb_lgn_dessus_max)
	iniwrite($inifile,$Nom_point_central,"Nb_col_gauche_max",$Nb_col_gauche_max)
	iniwrite($inifile,$Nom_point_central,"Nb_col_droite_max",$Nb_col_droite_max)
	iniwrite($inifile,$Nom_point_central,"Nb_lgn_dessous_max",$Nb_lgn_dessous_max)
	ShellExecute($filedestname)
	winwait($filedestname,"")
	GUISetState(@SW_show,$Form_Capture)
	WinSetOnTop("Capture d'images satellites et compilation","",1)
	winmove("Capture d'images satellites et compilation","",10,10)
EndFunc

; #FUNCTION# ====================================================================================================================
Func Traitement()
	Local $aImage[1][1] ;http://mt0.google.com/vt/lyrs=m@168000000&hl=fr&x=134603&s=&y=93519&z=18&s=
	Local $txt_V
	if stringleft($Urldeb_Point,9)="http://mt" then
		$txt_V="vt/lyrs=m@"
	Else
		$txt_V="v="
	endif
	Local $txt_X="&x="
	Local $txt_Y="&y="
	Local $txt_Z="&z=";
	Local $ext="&s=Gali.jpg"
	Local $nbj=$Nb_lgn_dessus + $Nb_lgn_dessous + 1
	Local $nbi=$Nb_col_gauche + $Nb_col_droite + 1
	Local $ideb=$Coord_X_Point - $Nb_col_gauche
	Local $jdeb=$Coord_Y_Point - $Nb_lgn_dessus
	redim $aImage[$nbi+1][$nbj+1]
	Local $message = ""
	SplashTextOn("Avancement", $message, 250, 50, -1, -1, 4, "")
	Local $n=1
	For $j = 0 To $nbj-1
		for $i=0 to $nbi-1
			$message = "Chargement de " & $n & " / " & $nbj*$nbi
			ControlSetText("Avancement", "", "Static1", $message)
			Local $imagedestshortname=$txt_V &  $Coord_V_Point & $txt_X & $i+$ideb & $txt_Y & $j +$jdeb & $txt_Z & $Coord_Z_Point & $ext
			if stringleft($Urldeb_Point,9)="http://mt" then
				Local $imagedestname=$Dest_repertoire & "\V" &  $Coord_V_Point & $txt_X & $i+$ideb & $txt_Y & $j +$jdeb & $txt_Z & $Coord_Z_Point & $ext
			Else
				Local $imagedestname=$Dest_repertoire & "\" & $imagedestshortname
			endif
			Local $Urlimage=$Urldeb_Point & $imagedestshortname
			Local $connect = _GetNetworkConnect()
			If $connect Then
				if not FileExists($imagedestname) then
					InetGet($Urlimage,$imagedestname,1,0)
				endif
			endif
			$n += 1
		next
	Next
	Local $iHeigthGlobal = 256 *($nbj)
	Local $iWidthGlobal = 256 *($nbi)
	_GDIPlus_Startup()
	local $hBitmap = _GDIPlus_BitmapCreateFromScan0($iWidthGlobal, $iHeigthGlobal)
	Local $hGraphic = _GDIPlus_ImageGetGraphicsContext($hBitmap)
	$n=1
	for $j =0 to $nbj-1
		For $i = 0 To $nbi-1
			$message = "Traitement de " & $n & " / " & $nbj*$nbi
			ControlSetText("Avancement", "", "Static1", $message)
			if stringleft($Urldeb_Point,9)="http://mt" then
				$aImage[$i][$j] = _GDIPlus_ImageLoadFromFile($Dest_repertoire & "\V" &  $Coord_V_Point & $txt_X & $i+$ideb & $txt_Y & $j +$jdeb & $txt_Z & $Coord_Z_Point & $ext)
			Else
				$aImage[$i][$j] = _GDIPlus_ImageLoadFromFile($Dest_repertoire & "\" & $txt_V &  $Coord_V_Point & $txt_X & $i+$ideb & $txt_Y & $j +$jdeb & $txt_Z & $Coord_Z_Point & $ext)
			endif
			_GDIPlus_GraphicsDrawImageRect($hGraphic, $aImage[$i][$j], $i*256, $j*256, 256, 256)
			_GDIPlus_ImageDispose($aImage[$i][$j])
			$n+=1
		Next
	next
	$message = "Enregistrement du fichier final"
	ControlSetText("Avancement", "", "Static1", $message)
	_GDIPlus_ImageSaveToFile($hBitmap, $filedestname)
	_GDIPlus_GraphicsDispose($hGraphic)
	_GDIPlus_BitmapDispose($hBitmap)
	_GDIPlus_Shutdown()
	SplashOff()
EndFunc



; #FUNCTION# ====================================================================================================================
func _help()
	Local $txt_help1=" Pour dfinir correctement le point central, il faut rcuprer la bonne URL pour ce point." & chr(13)& chr(13) & _
			" Pour cela :" & chr(13) & chr(9) & " - Naviguez  gauche sur Google Map" & chr(13) & chr(13) & _
			chr(9) & " - Affichez Satellite ou Plan." & chr(13) & chr(13) & _
			chr(9) & " - Naviguez jusqu'au point dont vous voulez rcuprer la mosaque d'images." & chr(13) & chr(13) & _
			chr(9) & " - Choisissez l'chelle dsire (la plus petite = maximum de dtails)." & chr(13) & chr(13) & _
			chr(9) & " - Lorsque l'image correspond  votre besoin, appuyez sur le bouton ""Extraire""." & chr(13) & chr(13) & _
			chr(9) & " - Alors, l'image (256 x256) du point apparat dans le cadre de droite," & chr(13) & _
			chr(9) & "       et les champs " & chr(34)  & "Dbut URL" & chr(34)  & ", " & chr(34) & "Coord. V" & chr(34)  & ", " & chr(34) & "Coord. X" & chr(34)  & ", " & _
			chr(34) & "Coord. Y" & chr(34)  & " et " & chr(34) & "Coord. Z" & chr(34) & chr(13) & _
			chr(9) & "       sont automatiquement renseigns."  & chr(13) & chr(13) & _
			chr(9) & " - Si le point ne vous satisfait pas, vous pouvez recommencer autant de fois que" & chr(13) & _
			chr(9) & "       ncessaire."
	Local $txt_help2=chr(9) & " - Renseignez le champ ""nom du point"""& chr(13) & chr(13) & _
			chr(9) & " - Quand tout est bon, appuyez sur Ok."
	#Region ### START Koda GUI section ### Form=
	Local $Form_help=GUICreate("Aide" & StringFormat("%108s"," ") & chr(169) & " F. Accard", 450, 315, -1, -1, $ws_caption+$WS_POPUP, $WS_EX_TOOLWINDOW);500, 450
	GUISetBkColor(0xfffacd)
	GUICtrlCreateLabel($txt_help1, 10, 10, 438, 250);480,400
	GUICtrlCreateLabel($txt_help2, 10, 268, 300, 44)
	;GUICtrlSetBkColor(-1, 0xfffacd)
	Local $Btn_Help = GUICtrlCreateButton("Retour", 340, 280, 60, 20);321, 60, 20);380,420
	GUISetState(@SW_SHOW,$Form_help)
	WinSetOnTop ("Aide","",1)
	#EndRegion ### END Koda GUI section ###
	While 2
		Local $msg_help=GUIGetMsg()
		if $msg_help=$Btn_Help then
			guidelete($Form_help)
			exitloop
		endif
	WEnd
EndFunc


; #FUNCTION# ====================================================================================================================
; Name...........: _GDIPlus_BitmapCreateFromScan0
; Description ...: Creates a Bitmap object based on an array of bytes along with size and format information
; Syntax.........: _GDIPlus_BitmapCreateFromScan0($iWidth, $iHeight[, $iStride = 0[, $iPixelFormat = 0x0026200A[, $pScan0 = 0]]])
; Parameters ....: $iWidth         - The bitmap width, in pixels
;                  $iHeight     - The bitmap height, in pixels
;                  $iStride     - Integer that specifies the byte offset between the beginning of one scan line and the next. This
;                  +is usually (but not necessarily) the number of bytes in the pixel format (for example, 2 for 16 bits per pixel)
;                  +multiplied by the width of the bitmap. The value passed to this parameter must be a multiple of four
;                  $iPixelFormat - Specifies the format of the pixel data. Can be one of the following:
;                  |$GDIP_PXF01INDEXED   - 1 bpp, indexed
;                  |$GDIP_PXF04INDEXED   - 4 bpp, indexed
;                  |$GDIP_PXF08INDEXED   - 8 bpp, indexed
;                  |$GDIP_PXF16GRAYSCALE - 16 bpp, grayscale
;                  |$GDIP_PXF16RGB555    - 16 bpp; 5 bits for each RGB
;                  |$GDIP_PXF16RGB565    - 16 bpp; 5 bits red, 6 bits green, and 5 bits blue
;                  |$GDIP_PXF16ARGB1555  - 16 bpp; 1 bit for alpha and 5 bits for each RGB component
;                  |$GDIP_PXF24RGB       - 24 bpp; 8 bits for each RGB
;                  |$GDIP_PXF32RGB       - 32 bpp; 8 bits for each RGB. No alpha.
;                  |$GDIP_PXF32ARGB      - 32 bpp; 8 bits for each RGB and alpha
;                  |$GDIP_PXF32PARGB     - 32 bpp; 8 bits for each RGB and alpha, pre-mulitiplied
;                  $pScan0        - Pointer to an array of bytes that contains the pixel data. The caller is responsible for
;                  +allocating and freeing the block of memory pointed to by this parameter.
; Return values .: Success      - Returns a handle to a new Bitmap object
;                  Failure      - 0 and either:
;                  |@error and @extended are set if DllCall failed
;                  |$GDIP_STATUS contains a non zero value specifying the error code
; Remarks .......: After you are done with the object, call _GDIPlus_ImageDispose to release the object resources
; Related .......: _GDIPlus_ImageDispose
; Link ..........; @@MsdnLink@@ GdipCreateBitmapFromScan0
; Example .......; Yes
; ===============================================================================================================================
Func _GDIPlus_BitmapCreateFromScan0($iWidth, $iHeight, $iStride = 0, $iPixelFormat = 0x0026200A, $pScan0 = 0)
	Local $aResult = DllCall($ghGDIPDll, "uint", "GdipCreateBitmapFromScan0", "int", $iWidth, "int", $iHeight, "int", $iStride, "int", $iPixelFormat, "ptr", $pScan0, "int*", 0)
	If @error Then Return SetError(@error, @extended, 0)
	local $GDIP_STATUS = $aResult[0]
	Return $aResult[6]
EndFunc   ;==>_GDIPlus_BitmapCreateFromScan0

; #FUNCTION# ====================================================================================================================
Func _GetNetworkConnect()
	Local Const $NETWORK_ALIVE_LAN = 0x1  ;net card connection
	Local Const $NETWORK_ALIVE_WAN = 0x2  ;RAS (internet) connection
	Local Const $NETWORK_ALIVE_AOL = 0x4  ;AOL
	Local $aRet, $iResult
	$aRet = DllCall("sensapi.dll", "int", "IsNetworkAlive", "int*", 0)
	If BitAND($aRet[1], $NETWORK_ALIVE_LAN)	Then $iResult &= "LAN connected" & @LF
    If BitAND($aRet[1], $NETWORK_ALIVE_WAN) Then $iResult &= "WAN connected" & @LF
	If BitAND($aRet[1], $NETWORK_ALIVE_AOL) Then $iResult &= "AOL connected" & @LF
	Return $iResult
EndFunc


func capt_html()
	;hotkeyset("^+g")
	Local $oImgs, $iNumImg, $nbimagesok, $source, $aNewArray
	Local $totX, $totY, $nbval, $valX, $ValY, $valZ, $valZ_max
	Local $posV, $posV_fin, $posX, $posX_fin, $posY, $posY_fin, $posZ, $posZ_fin
	Local $Url_ini
	local $varurl
	_ieloadwait($oIE)
	$oImgs = _IEImgGetCollection ($oIE)
	$iNumImg = @extended
	Dim $aImage[1]
	$nbimagesok=0
	For $oImg In $oImgs ; http://mt0.google.com/vt/lyrs=m@168000000&hl=fr&x=134603&s=&y=93519&z=18&s=
		if stringleft($oImg.src,9)="http://mt" then; 10)="http://khm" then
			$nbimagesok+=1
			Redim $aImage[$nbimagesok+1]
			$source=$oImg.src
			;consolewrite("$nbimagesok :" & $nbimagesok & @crlf)
			$aImage[$nbimagesok]=$source
		endif
		if stringleft($oImg.src,10)="http://khm" then
			$nbimagesok+=1
			Redim $aImage[$nbimagesok+1]
			$source=$oImg.src
			;consolewrite("$nbimagesok :" & $nbimagesok & @crlf)
			$aImage[$nbimagesok]=$source
		endif
	Next
	$aNewArray = _ArrayUnique($aImage)
	;_ArrayDisplay($aNewArray)
	$aImage=0
	$totX=0
	$totY=0
	$nbval=0
	$valZ_max=0
	for $i=1 to ubound($aNewArray)-1
		$posZ=Number(StringInStr($aNewArray[$i],"&z="))
		$posZ_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posZ+1))
		;$posS=Number(StringInStr($aNewArray[$i],"&s"))
		$valZ=Number(StringMid($aNewArray[$i],$posZ+3,$posZ_fin - $posZ -3))
		if $valZ>$valZ_max then $valZ_max=$valZ
	next
	for $i=1 to ubound($aNewArray)-1
		$posX=Number(StringInStr($aNewArray[$i],"&x="))
		$posX_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posX+1))
		$posY=Number(StringInStr($aNewArray[$i],"&y="))
		$posY_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posY+1))
		$posZ=Number(StringInStr($aNewArray[$i],"&z="))
		$posZ_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posZ+1))
		$valX=Number(StringMid($aNewArray[$i],$posX+3,$posX_fin - $posX -3))
		$valY=Number(StringMid($aNewArray[$i],$posY+3,$posY_fin - $posY -3))
		$valZ=Number(StringMid($aNewArray[$i],$posZ+3,$posZ_fin - $posZ -3))
		;consolewrite($valX & " : " & $valY & " : " & $valZ & @lf)
		if $valZ=$valZ_max then
			;consolewrite($valX & " : " & $valY & " : " & $valZ & @lf)
			$nbval+=1
			$totX+=$valX
			$totY+=$valY
		endif
	next
	;_FileWriteFromArray(@ScriptDir & "\imagesok.txt",$aNewArray)
	;consolewrite("result = " & int($totX/$nbval)& " : " & int($totY/$nbval) & " : " & $valZ_max & @lf)
	for $i=1 to ubound($aNewArray)-1
		$posX=Number(StringInStr($aNewArray[$i],"&x="))
		$posX_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posX+1))
		$posY=Number(StringInStr($aNewArray[$i],"&y="))
		$posY_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posY+1))
		$posZ=Number(StringInStr($aNewArray[$i],"&z="))
		$posZ_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posZ+1))
		$valX=Number(StringMid($aNewArray[$i],$posX+3,$posX_fin - $posX -3))
		$valY=Number(StringMid($aNewArray[$i],$posY+3,$posY_fin - $posY -3))
		$valZ=Number(StringMid($aNewArray[$i],$posZ+3,$posZ_fin - $posZ -3))
		;consolewrite($valX & " : " & $valY & " : " & $valZ & @lf)
		if $valZ=$valZ_max and $valX=int($totX/$nbval) and $valY=int($totY/$nbval)then
			;consolewrite($valX & " : " & $valY & " : " & $valZ & @lf)
			guictrlsetstate($Btn_Creation_Ok,$GUI_SHOW)
			;$Url_ini=$aNewArray[$i]
			if stringleft($aNewArray[$i],9)="http://mt" then
				$posV=StringInStr($aNewArray[$i],"/vt/lyrs=m@")
				$posV_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posV+1))
						GUICtrlSetData($Input_Creation_Url,stringleft($aNewArray[$i],$posV))
						GUICtrlSetData($Input_creation_V,stringmid($aNewArray[$i],$posV +11,$posV_fin-$posV-11))
						GUICtrlSetData($Input_creation_X, stringmid($aNewArray[$i], $posX +3,$posX_fin-$posX-3))
						GUICtrlSetData($Input_creation_Y,stringmid($aNewArray[$i],$posY +3,$posY_fin-$posY-3))
						GUICtrlSetData($Input_creation_Z,stringmid($aNewArray[$i],$posZ +3,$posZ_fin-$posZ-3))
				$varurl=inetget($aNewArray[$i],@ScriptDir &"\tempo.png")
				if $varurl=0 then
					msgbox(0,"","ERREUR Inetget")
					exitloop
				endif
				_GDIPlus_Startup (); Initialize GDI+ library
				Local $hImage = _GDIPlus_ImageLoadFromFile (@ScriptDir &"\tempo.png"); Load image
				Local $sCLSID = _GDIPlus_EncodersGetCLSID ("JPG"); Get JPEG encoder CLSID
				_GDIPlus_ImageSaveToFileEx ($hImage, @ScriptDir &"\000tempo.JPG", $sCLSID); Save image with conversion
				_GDIPlus_ImageDispose ($hImage)
				_GDIPlus_ShutDown (); Shut down GDI+ library
				GUICtrlSetImage ($MonImage,@ScriptDir &"\000tempo.JPG")
				filedelete(@ScriptDir &"\tempo.png")
				filedelete(@ScriptDir &"\000tempo.jpg")
			Elseif stringleft($aNewArray[$i],10)="http://khm" then
				;$Url_ini=$aNewArray[$i]
				$posV=StringInStr($aNewArray[$i],"/v=")
				$posV_fin=Number(StringInStr($aNewArray[$i],"&",0,1,$posV+1))
						GUICtrlSetData($Input_Creation_Url,stringleft($aNewArray[$i],$posV))
						GUICtrlSetData($Input_creation_V,stringmid($aNewArray[$i],$posV +3,$posV_fin-$posV-3))
						GUICtrlSetData($Input_creation_X, stringmid($aNewArray[$i], $posX +3,$posX_fin-$posX-3))
						GUICtrlSetData($Input_creation_Y,stringmid($aNewArray[$i],$posY +3,$posY_fin-$posY-3))
						GUICtrlSetData($Input_creation_Z,stringmid($aNewArray[$i],$posZ +3,$posZ_fin-$posZ-3))
				$varurl=inetget($aNewArray[$i],@ScriptDir &"\000tempo.jpg")
				if $varurl=0 then
					msgbox(0,"","ERREUR Inetget")
					exitloop
				endif
				GUICtrlSetImage ($MonImage,@ScriptDir &"\000tempo.jpg")
				filedelete(@ScriptDir &"\000tempo.jpg")
			endif
			exitloop
		endif
	next
	;hotkeyset("^+g","capt_html")
endfunc

